Subject: bug#14117: 24.3.50; message buffer is not deleted when sending email

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 16 Apr 2013 22:02:36 +0200

Glenn Morris <[email-masked]> writes:

> Thierry Volpiatto wrote:
>
>> Looks like for some reasons, `burry-buffer' called with no BUFFER arg in
>> `message-bury' fix the problem.
>>
>> diff --git a/lisp/gnus/message.el b/lisp/gnus/message.el
>> index 2b2a0a9..bd9a1a7 100644
>> --- a/lisp/gnus/message.el
>> +++ b/lisp/gnus/message.el
>> @@ -4097,7 +4097,7 @@ Instead, just auto-save the buffer and then bury it."
>>  
>>  (defun message-bury (buffer)
>>    "Bury this mail BUFFER."
>> -  (bury-buffer buffer)
>> +  (bury-buffer)
>>    (when message-return-action
>>      (apply (car message-return-action) (cdr message-return-action))))
>
> That can't be the right solution, given that message-bury takes a BUFFER
> argument.
You are right,
I thought just removing this arg, but it is needed in
`message-dont-send', where I think the buffer should not disappear from
window.
 
> Presumably the 2013-03-18 "minor cleanup" isn't (a cleanup). Why not
> just revert it?

Yes, I don't know why this have been changed, the 24.3 version works
just fine.

One other fix would be to leave `message-bury' as it is and call it in
`message-send-and-exit' with no arg (not tested but should work).

> http://thread.gmane.org/gmane.emacs.gnus.general/83058
Here using (with-current-buffer buffer ... just for not letting BUFFER
arg unused is not a solution IMO.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997